SDL_GetWindowSurfaceVSync(3)

NAME
SDL_GetWindowSurfaceVSync - Get VSync for the window surface.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetWindowSurfaceVSync(SDL_Window *window, int *vsync);

FUNCTION PARAMETERS

window
    the window to query.

vsync
    an int filled with the current vertical refresh sync interval. See SDL_SetWindowSurfaceVSync() for the meaning of the value.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetWindowSurfaceVSync(3)